# Copyright 2011-2016 Red Hat, Inc. and/or its affiliates.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

%global		package_version 4.0.2
%global		package_name ovirt-iso-uploader
# Required users and groups
%global		vdsm_user vdsm
%global		vdsm_group kvm

Summary:	ISO Uploader for oVirt Engine
Name:		%{package_name}
Version:	4.0.2
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:		http://resources.ovirt.org/pub/ovirt-4.0/src/%{package_name}/%{package_name}-%{package_version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires(pre):	shadow-utils
Requires:	python-ovirt-engine-sdk4 >= 4.0.0
Requires:	logrotate
Requires:	nfs-utils
BuildRequires:	gettext
BuildRequires:	python2-devel

%description
ISO Uploader tool for oVirt Engine

%prep
%setup -q -n %{package_name}-%{package_version}

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%check
make check

%pre
getent group %{vdsm_group} >/dev/null || \
	LC_ALL=C groupadd -g 36 -r %{vdsm_group}
getent passwd %{vdsm_user} >/dev/null || \
	LC_ALL=C useradd -r -u 36 -g %{vdsm_group} -d / \
		-s /sbin/nologin -c "Node Virtualization Manager" %{vdsm_user}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/isouploader.conf.d
%attr(0640, -, -) %config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python2_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/ovirt-iso-uploader
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*

%changelog
* Wed Sep 28 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.2-1
- 4.0.2-1

* Tue Aug 30 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.2-0.0.master
- 4.0.2-0.0.master

* Tue Aug 30 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.1-1
- 4.0.1-1

* Tue May 31 2016 Rafael Martins <rmartins@redhat.com> - 4.0.0-1
- 4.0.0-1

* Wed Aug  5 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-0.0.master
- 4.0.0-0.0.master
